#include <iostream>

using namespace std;

float Resenje()
{
    int N ;
    cin >> N ;
    
    float trenutni_porez = 100.0 * 1.0f ;
    float suma = 0.0 * 1.0f ;
    
    float istorijski_porezi[N];
    float istorijski_profit[N];
    
    for ( int i = 0 ; i < N ; i++ )
    {
        int probna_plata;
        float probni_porez;
        cin >> probna_plata >> probni_porez;
        
        float relativna_vrednost = probni_porez * ((float)probna_plata);

        int pindeks = 0 ;
        
        if ( i == 0 ) 
        {
            istorijski_porezi[i] = probni_porez ;        
            istorijski_profit[i] = relativna_vrednost;
        }
        
        else
        {
            bool upisan = false;
            while ( !upisan )
            {
                
            }
        }
        
    }
    
    return 23;
}

int main()
{
    cout << Resenje();

    return 0;
}